Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## vut.msa.gui.components
Class ClientsTree

    java.lang.Object
      vut.msa.gui.components.ClientsTree

All Implemented Interfaces:
  java.io.Serializable

    public class ClientsTree

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`ClientsTree()`

Method Summary
`org.richfaces.model.TreeNode` | `getRoot()`
`Client` | `getSelectedNode()`
`org.richfaces.model.TreeNode` | `getTree()` Getter pre objekt Tree (strom klientov)
`void` | `processSelection(org.richfaces.event.NodeSelectedEvent event)` Metoda sluzi na spracovanie udalosti vyberu polozky v strome klientov.
`void` | `removeSelectedClient(javax.faces.event.ActionEvent event)` Metoda sluzi na zmazanie vybraneho klienta v strome klientov.
`void` | `setRoot(org.richfaces.model.TreeNode root)`
`void` | `setSelectedNode(Client selectedClient)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClientsTree

    public ClientsTree()

Method Detail

### getRoot

    public org.richfaces.model.TreeNode getRoot()

### setRoot

    public void setRoot(org.richfaces.model.TreeNode root)

### getSelectedNode

    public Client getSelectedNode()

### setSelectedNode

    public void setSelectedNode(Client selectedClient)

### getTree

    public org.richfaces.model.TreeNode getTree()

  Getter pre objekt Tree (strom klientov)

  Returns:
    strom klientov pre GUI

### processSelection

    public void processSelection(org.richfaces.event.NodeSelectedEvent event)

  Metoda sluzi na spracovanie udalosti vyberu polozky v strome klientov. Vybraneho klienta v strome ulozi do objektu selectedClient.

  Parameters:
    `event` - udalost vyberu polozky v strome

### removeSelectedClient

    public void removeSelectedClient(javax.faces.event.ActionEvent event)

  Metoda sluzi na zmazanie vybraneho klienta v strome klientov.

  Parameters:
    `event` - udalost, vyvolana stlacenim tlacidla pre zmazanie

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD